Public Class _Default1
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim target = Master.app.currentFile
        If String.IsNullOrEmpty(target) OrElse target = "Submit.aspx" Then
            target = Master.GetFirstPage().target
        End If

        Response.Redirect(target & "?appId=" & Master.app.id)
    End Sub

End Class